# Items on sale
Note: There are 2 copies of data for the item, draft and online After calling the interface to add and modify product data, only the draft data affects it. It must be called onto the shelving interface and approved before the draft data covers the online data officially enters into force.
Too many API calls on the shelves may be blocked
It is recommended to check first atspu / getorspu get / get_listto check the fields in the itemedit_status, don't repeat the submission if you are in the audit
Each Weixin Mini Program call interface to add, update the number of products will be combined, the frequency is limited to: 200 times per hour, 1000 times per day.Note: 1 Merchandise being added or renewed will be consumed more times. 2 Items already on the shelves are only updated "price" and "inventory" and are not consumed more than once.
# Dxplaination of Interface Call Request
http请求方式:POST
https://api.weixin.qq.com/product/spu/listing?access_token=xxxxxxxxx
# Example of request parameters
{
"product_id":1234234,
"out_product_id": "1234566"
}
# Examples of back-up
{
"errcode": 0,
"errmsg":"ok"
}
# Dxplaination of request parameters
| 参数 | type | Is it compulsory? | Introductions |
|---|---|---|---|
| product_id | number | no | Mini Store internal product ID, and out_product_id two choice |
| out_product_id | string | no | Choose between product_id and product_id |
# Dxplaination of callback parameters
| 参数 | type | Introductions |
|---|---|---|
| errcode | number | Error code |
| errmsg | string | Error message |
# Return code
| 返回码 | Error Type |
|---|---|
| -1 | System exceptions |
| -2 | Token too long |
| 9401020 | The parameter is incorrect. |
| 9401021 | Call the api without permission |
| 9401002 | SPU does not exist |
| 9401001 | SPU already exists |
| 9401023 | SPU does not allow editing |